package com.engine.recruit.service;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/10/23
 * @version: 1.0
 */
public interface InductionManageService {
    /**
     * 更新入职管理信息
     *
     * @param param 参数
     * @return
     */
    Map<String, Object> updateInductionManageInfo(Map<String, Object> param);


    /**
     * 发送信息采集
     *
     * @param param
     * @return
     */
    Map<String, Object> sendCollectInfo(Map<String, Object> param);

    /**
     * 提交前，校验身份证号
     *
     * @param params
     * @return
     */
    Map<String, Object> verifyIDCard(Map<String, Object> params);

    /**
     * 校验登录信息
     *
     * @param param
     * @return
     */
    Map<String, Object> checkLoginInfo(Map<String, Object> param);

    /**
     * @Description:
     * @Author: liang.cheng
     * @Date: 2023/10/25 10:30 AM
     * @param: [id]
     * @return: java.util.Map<java.lang.String, java.lang.Object>
     */
    Map<String, Object> infoSubmit(String id);
}
